Skip to main content
Resource Center/Network Resource/L3 Network Operations
PUTL3 Network OperationsSince 0.6SynchronousAuth Required

UpdateL3Network

UpdateL3Network

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    The resource UUID.

Body Fields

  • updatel3networkObjectRequired

    updatel3network request body object.

    • nameString

      Optional. The L3 network name.

    • descriptionString

      Optional. The detailed description of the L3 network.

    • systemBoolean

      Optional. Whether the L3 network can be applied to appliance VM instances.

    • dnsDomainString

      Optional. The DNS domain.

    • categoryString

      Optional. The network type, which must be used with the system tags. If system is set to true, this parameter can be set to Public or Private.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryL3NetworkInventoryRequired

    See inventory.

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • descriptionStringRequired

      The detailed description of the resource.

    • typeStringRequired

      类型。

    • zoneUuidStringRequired

      The zone UUID.

    • l2NetworkUuidStringRequired

      The L2 network UUID

    • stateStringRequired

      当前状态。

    • dnsDomainStringRequired

      DNS域。

    • systemBooleanRequired

      系统。

    • categoryStringRequired

      类型分类。

    • ipVersionIntegerRequired

      The IP version.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • dnsListRequired

      No description provided.

    • ipRangesListRequired

      See ipRanges.

      • uuidStringRequired

        The resource UUID.

      • l3NetworkUuidStringRequired

        The L3 network UUID.

      • nameStringRequired

        The resource name.

      • descriptionStringRequired

        The detailed description of the resource.

      • startIpStringRequired

        开始IP。

      • endIpStringRequired

        结束IP。

      • netmaskStringRequired

        No description provided.

      • prefixLenStringRequired

        The prefix length.

      • gatewayStringRequired

        No description provided.

      • networkCidrStringRequired

        No description provided.

      • ipVersionIntegerRequired

        The IP version.

      • addressModeStringRequired

        The allocation mode of the IPv6 address.

      • createDateTimestampRequired

        The creation date.

      • lastOpDateTimestampRequired

        The last operation date.

    • networkServicesListRequired

      See networkServices.

      • l3NetworkUuidStringRequired

        The L3 network UUID.

      • networkServiceProviderUuidStringRequired

        The network service provider UUID.

      • networkServiceTypeStringRequired

        No description provided.

    • hostRouteListRequired

      See hostRoute.

      • idLongRequired

        资源ID。

      • l3NetworkUuidStringRequired

        The L3 network UUID.

      • prefixStringRequired

        No description provided.

      • nexthopStringRequired

        No description provided.

      • createDateTimestampRequired

        The creation date.

      • lastOpDateTimestampRequired

        The last operation date.

Endpoint

PUT/zstack/v1/l3-networks/{uuid}/actions

/zstack/v1/l3-networks/{uuid}/actions

Operation ID

UpdateL3Network

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/l3-networks/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"updatel3network":{"name":"<name>","description":"<description>","system":true,"dnsDomain":"<dnsDomain>","category":"<category>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "uuid": "dd370da0d6fa49288fc119b35db36b7c", "name": "Test-L3Network" } }

Change History

This API has no change history records yet.

View all change history